exec("./db.cs");
exec("./base.cs");
exec("./overwrite.cs");

function rgbToHex(%rgb)
{
	%r = _compToHex(255*getWord(%rgb,0));
	%g = _compToHex(255*getWord(%rgb,1));
	%b = _compToHex(255*getWord(%rgb,2));

	return %r @ %g @ %b;
}
function _compToHex(%comp)
{
	%left = mFloor(%comp/16);
	%comp = mFloor(%comp-%left*16);

	%left = getSubStr("0123456789ABCDEF",%left,1);
	%comp = getSubStr("0123456789ABCDEF",%comp,1);

	return %left @ %comp;
}
function rgbGradient(%step,%c1,%c2)
{
	%r1 = getWord(%c1,0);
	%g1 = getWord(%c1,1);
	%b1 = getWord(%c1,2);

	%r2 = getWord(%c2,0);
	%g2 = getWord(%c2,1);
	%b2 = getWord(%c2,2);

	%r3 = %r1+%step*(%r2-%r1);
	%g3 = %g1+%step*(%g2-%g1);
	%b3 = %b1+%step*(%b2-%b1);

	return %r3 SPC %g3 SPC %b3;
}