function brickTreasureChestData::openTreasureChest(%db,%br,%pl)
{
	if(!isObject(%cl = %pl.client))
		return;

	//open
	%br.setDataBlock(brickTreasureChestOpenData);

	//schedule close on global quota
	%oldQuotaObject = getCurrentQuotaObject();
	if(isObject(%oldQuotaObject))
		clearCurrentQuotaObject();

	%br.schedule(2000,setDataBlock,brickTreasureChestData);
	%br.schedule(2000,playSound,brickChangeSound);

	if(isObject(%oldQuotaObject))
		setCurrentQuotaObject(%oldQuotaObject);

	//mark this treasure chest as opened for this client
	%hash = sha1(%br.getPosition() @ %br.angleId);
	%cl.foundTreasureChest_[%hash] = 1;  //so we can do direct checks
	%cl.foundLastTreasureTime = getSimTime();
	%cl.numFoundTreasureChests = mFloor(%cl.numFoundTreasureChests);
	%cl.foundTreasureChestList[%cl.numFoundTreasureChests] = %hash;
	%cl.numFoundTreasureChests++;

	//%client.dumpTreasureChests();

	//tell client how many they've found
	if(%cl.numFoundTreasureChests >= $TreasureChest::NumChests)
	{
		mote_speedrunEnd(%pl,0);
	}
	if(%cl.numFoundTreasureChests == 21)
		%x = 11;
	else
		%x = ((%cl.numFoundTreasureChests-1)/2);
	if(%x-(%x|0) == 0.5)
	{
		%tmscale = 1;
		%x = %x|0;
	}
	if(%tmscale)
		setTimescale(1.03);
	%cl.play2D("moteSynth" @ %x @ "Sound");
	if(%tmscale)
		setTimescale(1);
	%pl.emote(winStarProjectile, 1);
	mote_speedrunLoop(%pl);
}


//dont forget to remove the treasure chest admin commands, admin orb etc